#include <bits/stdc++.h>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	int n,m;
	cin>>n>>m;
	long int a;
	long int niz[n];
	for(int i=0;i<n;i++)
	{
		cin>>a;
		niz[i]=a;
	}
	int par[2*m];
	int x,y;
	int j=0;
	for(int i=0;i<m;i++)
	{
		cin>>x>>y;
		par[j]=x;
		j++;
		par[j]=y;
		j++;
	}
	int b=0;
	int c=0;
	for(int i=0;i<n;i++)
	{
		if(niz[i]==1) b++;
	}
	for(int i=0;i<n;i++)
	{
		if(niz[i]<0) c++;
	}
	int s[n];
	int sreca=0;
	for(int i=0;i<n;i++) s[i]=0;
	if(b==n) 
	{
		for(int i=0;i<2*m;i++)
		{
			s[par[i]-1]++;
		}
	for(int i=0;i<n;i++)
	{
		sreca=sreca+s[i];
	}
	}
	if(c!=0)
	{
		for(int i=0;i<2*m;i++)
		{
			s[par[i]-1]++;
		}
		for(int i=0;i<n;i++)
		{
			sreca=sreca+niz[i]*(-s[i]);
		}
	}
	cout<<sreca;
	return 0;
}